Skip to content

List this tenant's messages

GET
/v1/messages
curl --request GET \
--url 'https://api.vocapable.com/v1/messages?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
contact_id
Any of:
string

Filter on contact_id. Comma-separated values are OR.

contact_id.gte
Any of:
string

Filter on contact_id with the gte operator.

contact_id.lte
Any of:
string

Filter on contact_id with the lte operator.

contact_id.gt
Any of:
string

Filter on contact_id with the gt operator.

contact_id.lt
Any of:
string

Filter on contact_id with the lt operator.

contact_id.in
Any of:
string

Filter on contact_id with the in operator.

created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

direction
Any of:
string

Filter on direction. Comma-separated values are OR.

direction.gte
Any of:
string

Filter on direction with the gte operator.

direction.lte
Any of:
string

Filter on direction with the lte operator.

direction.gt
Any of:
string

Filter on direction with the gt operator.

direction.lt
Any of:
string

Filter on direction with the lt operator.

direction.in
Any of:
string

Filter on direction with the in operator.

inbound_intent
Any of:
string

Filter on inbound_intent. Comma-separated values are OR.

inbound_intent.gte
Any of:
string

Filter on inbound_intent with the gte operator.

inbound_intent.lte
Any of:
string

Filter on inbound_intent with the lte operator.

inbound_intent.gt
Any of:
string

Filter on inbound_intent with the gt operator.

inbound_intent.lt
Any of:
string

Filter on inbound_intent with the lt operator.

inbound_intent.in
Any of:
string

Filter on inbound_intent with the in operator.

origin_call_id
Any of:
string

Filter on origin_call_id. Comma-separated values are OR.

origin_call_id.gte
Any of:
string

Filter on origin_call_id with the gte operator.

origin_call_id.lte
Any of:
string

Filter on origin_call_id with the lte operator.

origin_call_id.gt
Any of:
string

Filter on origin_call_id with the gt operator.

origin_call_id.lt
Any of:
string

Filter on origin_call_id with the lt operator.

origin_call_id.in
Any of:
string

Filter on origin_call_id with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[MessageSummary]
object
data
required
Data
Array<object>
MessageSummary
object
id
required
Id
string
direction
required
MessageDirection
string
Allowed values: outbound inbound
phone_number_id
required
Any of:
string
contact_id
required
Any of:
string
to_e164
required
To E164
string
from_e164
required
From E164
string
template_id
required
Any of:
string
body_rendered
required
Any of:
string
status
required
MessageStatus
string
Allowed values: queued sent delivered failed received
provider_sid
required
Any of:
string
origin_call_id
required
Any of:
string
inbound_intent
required
Any of:
InboundIntent

Classification of an inbound SMS; STOP writes an internal DNC entry.

string
Allowed values: stop help other
segments
required
Segments
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"direction": "outbound",
"status": "queued",
"inbound_intent": "stop"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}